Package org.apache.wiki.tags

## Class EditLinkTag

- java.lang.Object
- - javax.servlet.jsp.tagext.TagSupport
  - - org.apache.wiki.tags.WikiTagBase
    - - org.apache.wiki.tags.WikiLinkTag
      - - org.apache.wiki.tags.EditLinkTag

All Implemented Interfaces:
  `java.io.Serializable`, `javax.servlet.jsp.tagext.IterationTag`, `javax.servlet.jsp.tagext.JspTag`, `javax.servlet.jsp.tagext.Tag`, `javax.servlet.jsp.tagext.TryCatchFinally`

    public class EditLinkTag
    extends WikiLinkTag

Writes an edit link. Body of the link becomes the link text.

Attributes

- page - Page name to refer to. Default is the current page.
- format - Format, either "anchor" or "url".
- version - Version number of the page to refer to. Possible values are "this", meaning the version of the current page; or a version number. Default is always to point at the latest version of the page.
- title - Is used in page actions to display hover text (tooltip)
- accesskey - Set an accesskey (ALT+[Char])

Since:
  2.0
See Also:
  Serialized Form

### Field Summary

Fields
`java.lang.String` `m_accesskey`
`java.lang.String` `m_title`
`java.lang.String` `m_version`

### Fields inherited from class org.apache.wiki.tags.WikiLinkTag

`ANCHOR, m_format, m_pageName, m_template, URL`

### Fields inherited from class org.apache.wiki.tags.WikiTagBase

`m_wikiContext`

### Fields inherited from class javax.servlet.jsp.tagext.TagSupport

`id, pageContext`

### Fields inherited from interface javax.servlet.jsp.tagext.IterationTag

`EVAL_BODY_AGAIN`

### Fields inherited from interface javax.servlet.jsp.tagext.Tag

`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

### Constructor Summary

Constructors
`EditLinkTag()`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `doWikiStartTag()` This method is allowed to do pretty much whatever he wants.
`void` `initTag()` This method is called when the tag is encountered within a new request, but before the setXXX() methods are called.
`void` `setAccesskey​(java.lang.String access)`
`void` `setTitle​(java.lang.String title)`
`void` `setVersion​(java.lang.String vers)`

### Methods inherited from class org.apache.wiki.tags.WikiLinkTag

`doEndTag, getPage, getTemplate, setFormat, setPage, setTemplate`

### Methods inherited from class org.apache.wiki.tags.WikiTagBase

`doCatch, doFinally, doStartTag, setId, setPageContext`

### Methods inherited from class javax.servlet.jsp.tagext.TagSupport

`doAfterBody, findAncestorWithClass, getId, getParent, getValue, getValues, release, removeValue, setParent, setValue`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### m_version

    public java.lang.String m_version

#### m_title

    public java.lang.String m_title

#### m_accesskey

    public java.lang.String m_accesskey

### Constructor Detail

#### EditLinkTag

    public EditLinkTag()

### Method Detail

#### initTag

    public void initTag()

Description copied from class: `WikiTagBase`
This method is called when the tag is encountered within a new request, but before the setXXX() methods are called. The default implementation does nothing.

Overrides:
  `initTag` in class `WikiLinkTag`

#### setVersion

    public void setVersion​(java.lang.String vers)

#### setTitle

    public void setTitle​(java.lang.String title)

#### setAccesskey

    public void setAccesskey​(java.lang.String access)

#### doWikiStartTag

    public final int doWikiStartTag()
                             throws java.io.IOException

Description copied from class: `WikiTagBase`
This method is allowed to do pretty much whatever he wants. We then catch all mistakes.

Specified by:
  `doWikiStartTag` in class `WikiTagBase`
Throws:
  `java.io.IOException`